﻿/********************
*   Styleübergang   *
********************/
@media only screen and (max-width: 1280px)
{
	.WLANBSHero1
	{
		background-image: url("../Images/wlan_hotel_1_crop_2.jpg");
		min-height: 550px;
	}
}

@media only screen and (max-width: 980px)
{
	/* Non-Default 
	----------------------------------------------------------*/
	/* hero images */
	.HeroBackground
	{
		min-height: 0;
		background-image: none;
	}

	.HeroImageOverlay
	{
		display: block;
	}

		.HeroImageSmall
	{
		float: none;
		margin: 0 auto;
	}

	.HeroImageOverlay + .ContentPadded
	{
		padding: 0;
	}

		.HeroImageOverlay + .ContentPadded > *
		{
			padding: 10px;
			width: 90%;
			width: calc(100% - 20px);
			margin-top: 0;
		}

	.HeroText
	{
		top: 0;
		max-width: 100%;
	}

	/* TabLayout */

	div.TabBar nav
	{
		position: static;
	}

	div.TabBar
	{
		width: 90%;
		width: calc(100% - 20px);
		text-align: left;
		padding-left: 10px;
		padding-right: 10px;
	}

		div.TabBar > *
		{
			width: calc(100% - 2px)
		}

	/* Footer */
	footer .BottomBar, footer .LanguageBar
	{
		width: 99%;
	}

	footer .MenuContainer
	{
		margin-left: 5px;
	}
}

/********************
*   Mobile Styles   *
********************/
@media only screen and (max-width: 870px)
{
	/* Default 
	----------------------------------------------------------*/
	/* header
    ----------------------------------------------------------*/
	header .float-left,
	header .float-right
	{
		float: none;
	}

	header .logo
	{
		display: block;
	}

	/* logo */
	header .site-title
	{
		margin: 10px;
		text-align: center;
	}

	header .content-wrappter
	{
		height: auto;
	}

	/* login */
	#login
	{
		font-size: .85em;
		margin: 0 0 12px;
		text-align: center;
	}

		#login ul
		{
			margin: 5px 0;
			padding: 0;
		}

		#login li
		{
			display: inline;
			list-style: none;
			margin: 0;
			padding: 0;
		}

		#login a
		{
			background: none;
			color: #999;
			font-weight: 600;
			margin: 2px;
			padding: 0;
		}

			#login a:hover
			{
				color: #333;
			}

	/* menu */
	nav
	{
		margin-bottom: 5px;
	} 
	
	nav ul#menu, nav ul#menuSub, .menuLocation-wrapper
	{
		display: none;
	}

	/*ul#menu
	{
		margin: 0;
		padding: 0;
		text-align: center;
	}

		ul#menu li
		{
			margin: 0;
			padding: 0;
		}*/

	ul#menubottom
	{
		margin: 0;
		padding: 0;
		text-align: center;
	}

		ul#menubottom li
		{
			margin: 0;
			padding: 0;
		}

	/* main layout
    ----------------------------------------------------------*/
	.main-content,
	.featured + .main-content
	{
		background-position: 10px 0;
	}

	.content-wrapper
	{
		padding-right: 10px;
		padding-left: 10px;
	}

	.featured .content-wrapper
	{
		padding: 10px;
	}

	/* page content */
	article, aside
	{
		float: none;
		width: 100%;
	}

	/* features */
	section.feature
	{
		float: none;
		padding: 10px;
		width: auto;
	}

		section.feature img
		{
			color: #999;
			content: attr(alt);
			font-size: 1.5em;
			font-weight: 600;
		}

	/* forms */
	input
	{
		width: 90%;
	}

	/* login page */
	#loginForm
	{
		border-right: none;
		float: none;
		width: auto;
	}

		#loginForm .validation-error
		{
			display: block;
			margin-left: 15px;
		}

	#socialLoginForm
	{
		margin-left: 0;
		float: none;
		width: auto;
	}

	/* Non-Default 
	----------------------------------------------------------*/

	/* TabLayout */
	div.TabBar nav
	{
		position: static;
		display: block;
	}

	/* TabLayout */
	div.TabBar a, div.TabBar span
	{
		width: 100%;
		height: auto;
		padding: 0;
	}

	div.TabBar span
	{
		border: 1px solid;
		padding-bottom: 5px;
		padding-top: 5px;
	}

	div.TabBar a
	{
		padding: 1px;
		padding-bottom: 6px;
		padding-top: 6px;
	}

	/* footer
    ----------------------------------------------------------*/
	footer .float-left,
	footer .float-right
	{
		float: none;
	}

	footer
	{
		text-align: center;
		height: auto;
		padding: 10px 0;
	}

		footer .BottomBar
		{
			color: #fff;
			width: auto;
			margin-bottom: 15px;
			margin-top: 30px;
		}

			footer .BottomBar *
			{
				margin: 0px !important;
			}

	#ContactForm textarea
	{
		width: 90%;
	}

	#ContactForm p
	{
		margin: 0;
	}
}

@media only screen and (max-width: 600px)
{
	.HeroImageOverlay
	{
		-display: none;
	}
}

@media only screen and (max-width: 400px)
{
	h1
	{
		font-size: 1.5em;
	}
}

